export const actions = {
  SetUseShopManager({ commit }) {
    commit('SET_USE_SHOP_MANAGER');
  },

  SetBetaMode({ commit }) {
    commit('SET_BETA_MODE');
  },

  SetWorkerFetch({ commit }) {
    commit('SET_WORKER_FETCH');
  },

  SetTabActive({ commit }, tab) {
    commit('SET_TAB', tab);
  },

  SetSettingShopee({ commit }, data) {
    commit('SET_CONFIG_SHOPEE', data);
  },

  SetBadword({ commit }, data) {
    commit('SET_BADWORD', data);
  },

  SetClearSetting({ commit }) {
    commit('SET_CLEAR');
  },

  SetWartermarkProductBase64({ commit }, { base64, size }) {
    commit('SET_WARTERMARK_PRODUCT_BASE64', { base64, size });
  },

  SetWartermarkProductActive({ commit }, active) {
    commit('SET_WARTERMARK_PRODUCT_ACTIVE', active);
  },

  SetSettingCloneShope({ commit }, config) {
    commit('SET_CLONE_SHOPEE', config);
  },
};
